Package org.eclipse.birt.core.framework

# Class PlatformConfig

java.lang.Object
org.eclipse.birt.core.framework.PlatformConfig

All Implemented Interfaces:
  `IPlatformConfig`

public class PlatformConfig extends Object implements IPlatformConfig
Defines an implementation of IPlatformConfig to access OSGi framework. implements the interface IPlatformConfig

## Field Summary

Fields
Modifier and Type
Field
Description
`protected HashMap`
`properties`
the properties that needed when platfrom is running it's an instance of HashMap

### Fields inherited from interface org.eclipse.birt.core.framework.IPlatformConfig

`BIRT_HOME, OSGI_ARGUMENTS, OSGI_CONFIGURATION, PLATFORM_CONTEXT, TEMP_DIR`

## Constructor Summary

Constructors
Constructor
Description
`PlatformConfig()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getBIRTHome()`
`String[]`
`getOSGiArguments()`
`Map`
`getOSGiConfig()`
`IPlatformContext`
`getPlatformContext()`
`HashMap`
`getProperties()`
`Object`
`getProperty(String name)`
`String`
`getTempDir()`
returns engine temporary directory for temporary files
`void`
`setBIRTHome(String birtHome)`
`void`
`setOSGiArguments(String[] arguments)`
`void`
`setOSGiConfig(Map osgiConfigMap)`
set the configuration used by the OSGi framework.
`void`
`setPlatformContext(IPlatformContext context)`
`void`
`setProperty(String name, Object value)`
`void`
`setTempDir(String tmpDir)`
sets the directory for temporary files

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### properties

protected HashMap properties
the properties that needed when platfrom is running it's an instance of HashMap

## Constructor Details

### PlatformConfig

public PlatformConfig()

## Method Details

### getProperty

public Object getProperty(String name)

### setProperty

public void setProperty(String name, Object value)

### getProperties

public HashMap getProperties()

### getBIRTHome

public String getBIRTHome()

### setBIRTHome

public void setBIRTHome(String birtHome)

### getOSGiArguments

public String[] getOSGiArguments()

### setOSGiArguments

public void setOSGiArguments(String[] arguments)

### setOSGiConfig

public void setOSGiConfig(Map osgiConfigMap)
set the configuration used by the OSGi framework. The configuration includes all valid osgi configs except some reserved as follow:
1. osgi.install.area, using the one defined by BIRT_HOME.
2. eclipse.ignoreApp, be true.
3. osgi.noShutDown, be true.
4. osgi.framework, using the one defined by BIRT_HOME
5. osgi.framework.useSystemProperties, be false.

Parameters:
  `osgiConfigMap` -

- ### getOSGiConfig

  public Map getOSGiConfig()

- ### getPlatformContext

  public IPlatformContext getPlatformContext()

- ### setPlatformContext

  public void setPlatformContext(IPlatformContext context)

- ### setTempDir

  public void setTempDir(String tmpDir)
  sets the directory for temporary files
  Parameters:
    `tmpDir` - the directory for temporary files

- ### getTempDir

  public String getTempDir()
  returns engine temporary directory for temporary files
  Returns:
    Returns the Temp Directory for engine to write temp files